aboutsummaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorGerald Combs <gerald@wireshark.org>2022-01-04 18:19:20 -0800
committerA Wireshark GitLab Utility <gerald+gitlab-utility@wireshark.org>2022-01-05 17:01:23 +0000
commite9bc60ace47b1e9765799777f08a31d719cc5c85 (patch)
tree08ae3e014a8bb78a1d481785cd5ae36de9494102 /tools
parent4b5d54f5ea60cb72e03cce64836c8f08862721d4 (diff)
macos-setup.sh: Update the PCRE URL.
As noted on https://pcre.org/, ftp.pcre.org has been shut down. Switch to SourceForge and bump the version to 8.45. Fixes #17834.
Diffstat (limited to 'tools')
-rwxr-xr-xtools/macos-setup.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/tools/macos-setup.sh b/tools/macos-setup.sh
index e4c5bf6678..3ad1c86ad6 100755
--- a/tools/macos-setup.sh
+++ b/tools/macos-setup.sh
@@ -72,7 +72,7 @@ LZIP_VERSION=1.21
# The version of libPCRE on Catalina is insufficient to build glib due to
# missing UTF-8 support.
#
-PCRE_VERSION=8.44
+PCRE_VERSION=8.45
#
# CMake is required to do the build - and to build some of the
@@ -366,7 +366,7 @@ uninstall_lzip() {
install_pcre() {
if [ "$PCRE_VERSION" -a ! -f pcre-$PCRE_VERSION-done ] ; then
echo "Downloading, building, and installing pcre:"
- [ -f pcre-$PCRE_VERSION.tar.bz2 ] || curl -L -O https://ftp.pcre.org/pub/pcre/pcre-$PCRE_VERSION.tar.bz2 || exit 1
+ [ -f pcre-$PCRE_VERSION.tar.bz2 ] || curl -L -O https://sourceforge.net/projects/pcre/files/pcre/$PCRE_VERSION/pcre-$PCRE_VERSION.tar.bz2 || exit 1
$no_build && echo "Skipping installation" && return
bzcat pcre-$PCRE_VERSION.tar.bz2 | tar xf - || exit 1
cd pcre-$PCRE_VERSION